Package com.sas.lsaf.execution.job

## Class ManifestRepositoryFile

- java.lang.Object
- - com.sas.lsaf.execution.job.ManifestFile
  - - com.sas.lsaf.execution.job.ManifestRepositoryFile

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ManifestRepositoryFile
      extends ManifestFile

  The client representation of a repository file that is referenced in a job manifest file.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManifestRepositoryFile​(java.lang.String id, java.lang.String version, java.lang.String path, java.lang.String name, java.util.Date lastModified, java.lang.Long size)` | It is not intended or recommended that the consumer of the API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getId()` | Gets the unique identifier, if the manifest file is a repository file.
    `java.lang.String` | `getVersion()` | Gets the version, if the manifest file is a repository that is versioned.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.execution.job.ManifestFile

      `getLastModified, getName, getPath, getSize, isRepositoryFile, isWorkspaceFile`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestRepositoryFile

          public ManifestRepositoryFile​(java.lang.String id,
                                        java.lang.String version,
                                        java.lang.String path,
                                        java.lang.String name,
                                        java.util.Date lastModified,
                                        java.lang.Long size)

      It is not intended or recommended that the consumer of the API construct these objects. They should only deal with the manifest repository file objects returned by the API.
      Parameters:
        `id` - The unique identifier of the repository file.
        `version` - The version of the file (if it is versioned).
        `path` - The full path to the file, which includes the name.
        `name` - The name of the file.
        `lastModified` - The date on which the file was last modified.
        `size` - The size (in bytes) of the file.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Description copied from class: `ManifestFile`
      Gets the unique identifier, if the manifest file is a repository file. Otherwise, returns null.
      Overrides:
        `getId` in class `ManifestFile`
      Returns:
        The unique identifier, if the manifest file is a repository file. Otherwise, null.

    - #### getVersion

          public java.lang.String getVersion()

      Description copied from class: `ManifestFile`
      Gets the version, if the manifest file is a repository that is versioned. Otherwise, returns null.
      Overrides:
        `getVersion` in class `ManifestFile`
      Returns:
        The version, if the manifest file is a repository that is versioned. Otherwise, null.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ManifestFile`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `ManifestFile`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ManifestFile`